| QxOrm 1.3.2 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
qx::QxDataMember_QObject Class Reference
QxDataMember : QxOrm library data member (or property) used by introspection engine

qx::QxDataMember_QObject : connect Qt introspection engine (based on QObject class, with QMetaObject type) to QxOrm library introspection engine More...

`#include <QxDataMember_QObject.h>`

Inheritance diagram for qx::QxDataMember_QObject:

List of all members.

## Public Member Functions
| QxDataMember_QObject (const QMetaObject *pMetaObject, const QString &sKey)
virtual | ~QxDataMember_QObject ()
virtual bool | isEqual (const void *pOwner1, const void *pOwner2) const
virtual QString | toString (const void *pOwner, const QString &sFormat, int iIndexName=-1) const
virtual qx_bool | fromString (void *pOwner, const QString &s, const QString &sFormat, int iIndexName=-1)
virtual QVariant | toVariant (const void *pOwner, const QString &sFormat, int iIndexName=-1) const
virtual qx_bool | fromVariant (void *pOwner, const QVariant &v, const QString &sFormat, int iIndexName=-1)
## Protected Member Functions
virtual boost::any | getDataPtr (const void *pOwner) const
virtual boost::any | getDataPtr (void *pOwner)
virtual void * | getDataVoidPtr (const void *pOwner) const
virtual void * | getDataVoidPtr (void *pOwner)
## Protected Attributes
const QMetaObject * | m_metaObject
| Meta-object from introspection engine of Qt library (& MyQObject::staticMetaObject)
QMetaProperty | m_metaProperty
| Meta-property from introspection engine of Qt library.

## Detailed Description

qx::QxDataMember_QObject : connect Qt introspection engine (based on QObject class, with QMetaObject type) to QxOrm library introspection engine

Definition at line 64 of file QxDataMember_QObject.h.

## Constructor & Destructor Documentation

qx::QxDataMember_QObject::QxDataMember_QObject | ( | const QMetaObject * | pMetaObject,
|  | const QString & | sKey
| ) |  |

virtual qx::QxDataMember_QObject::~QxDataMember_QObject | ( |  | ) | `[inline, virtual]`

Definition at line 75 of file QxDataMember_QObject.h.

## Member Function Documentation

virtual qx_bool qx::QxDataMember_QObject::fromString | ( | void * | pOwner,
|  | const QString & | s,
|  | const QString & | sFormat,
|  | int | iIndexName = `-1`
| ) |  | `[virtual]`

Implements qx::IxDataMember.

virtual qx_bool qx::QxDataMember_QObject::fromVariant | ( | void * | pOwner,
|  | const QVariant & | v,
|  | const QString & | sFormat,
|  | int | iIndexName = `-1`
| ) |  | `[virtual]`

Implements qx::IxDataMember.

virtual boost::any qx::QxDataMember_QObject::getDataPtr | ( | const void * | pOwner | ) | const`[protected, virtual]`

Implements qx::IxDataMember.

virtual boost::any qx::QxDataMember_QObject::getDataPtr | ( | void * | pOwner | ) | `[protected, virtual]`

Implements qx::IxDataMember.

virtual void* qx::QxDataMember_QObject::getDataVoidPtr | ( | const void * | pOwner | ) | const`[protected, virtual]`

Implements qx::IxDataMember.

virtual void* qx::QxDataMember_QObject::getDataVoidPtr | ( | void * | pOwner | ) | `[protected, virtual]`

Implements qx::IxDataMember.

virtual bool qx::QxDataMember_QObject::isEqual | ( | const void * | pOwner1,
|  | const void * | pOwner2
| ) |  | const`[virtual]`

Implements qx::IxDataMember.

virtual QString qx::QxDataMember_QObject::toString | ( | const void * | pOwner,
|  | const QString & | sFormat,
|  | int | iIndexName = `-1`
| ) |  | const`[virtual]`

Implements qx::IxDataMember.

virtual QVariant qx::QxDataMember_QObject::toVariant | ( | const void * | pOwner,
|  | const QString & | sFormat,
|  | int | iIndexName = `-1`
| ) |  | const`[virtual]`

Implements qx::IxDataMember.

## Member Data Documentation

const QMetaObject* qx::QxDataMember_QObject::m_metaObject`[protected]`

Meta-object from introspection engine of Qt library (& MyQObject::staticMetaObject)

Definition at line 69 of file QxDataMember_QObject.h.

QMetaProperty qx::QxDataMember_QObject::m_metaProperty`[protected]`

Meta-property from introspection engine of Qt library.

Definition at line 70 of file QxDataMember_QObject.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDataMember/QxDataMember_QObject.h